{% extends 'base.html.twig' %}

{% block title %}Register{% endblock %}

{% block body %}
<div class="bg-primary">
    <div class="container py-5 d-flex flex-column justify-content-center align-items-center bg-success"
        style="height: 100vh;">

        <h1 class="h1 mb-3 font-weight-normal">Register</h1>

        {{ form_start(registrationForm) }}
        {{ form_row(registrationForm.username) }}
        {{ form_row(registrationForm.plainPassword, {
        label: 'Password'
        }) }}
        {{ form_row(registrationForm.agreeTerms) }}

        <div class="row d-flex justify-content-between flex-row">
            <button type="submit" class="btn btn-primary w-50">Register</button>
            <button class="btn btn-danger w-50">
                <a href="{{ path('app_login') }}">
                    Login
                </a>
            </button>
        </div>
        {{ form_end(registrationForm) }}
    </div>
</div>
{% endblock %}